﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGComboEditorRecordUpdateCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public List<string> ComboData { get; set; }

        string[] names = "Andrew;Alex;Jen;Jess;Devin;Steve;Eric;Murphy".Split(';');

        Random r = new Random();

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            ComboData = new List<string>();

            for (int i = 0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID= i,
                    Name = names[i],
                    RandomNumber = r.Next(1000)
                });
            }

            ComboData = names.ToList();

        }

    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int RandomNumber { get; set; }
    }
}
